Subject: Re: bug#65790: 29.1; "docstring wider than 80 characters" when there is no docstring

From: Damien Cassou <[email-masked]>
Date: Thu, 07 Sep 2023 11:33:01 +0200

Stefan Kangas <[email-masked]> writes:
> Yes, it would be nice not to get that warning.  I fixed many such
> problems when I first added the warning about long docstrings.
>
> Patches welcome.

The only patch I can think of would change the macro so that the
docstring references each name on a line of its own. This way, we would
only get a warning if the name itself is more than 80 characters. Would
that be a reasonable patch for you?

> PS. As a work-around, you can set `byte-compile-docstring-max-column'.

Thank you for this.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill